net.sf.jasperreports.components.sort

## Class FieldFilter

- java.lang.Object
- - net.sf.jasperreports.components.sort.FieldFilter

- All Implemented Interfaces:
    DatasetFilter

      public class FieldFilter
      extends java.lang.Object
      implements DatasetFilter

  A dataset filter that matches String values based on substrings.
  Version:
    $Id: FieldFilter.java 6510 2013-09-13 12:12:34Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldFilter()`
    `FieldFilter(java.lang.String field, java.lang.String filterValueStart, java.lang.String filterValueEnd, java.lang.String filterType, java.lang.String filterTypeOperator)` Creates a field filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getField()`
    `java.lang.String` | `getFilterPattern()`
    `java.lang.String` | `getFilterType()`
    `FilterTypesEnum` | `getFilterTypeEnum()`
    `java.lang.String` | `getFilterTypeOperator()`
    `java.lang.String` | `getFilterValueEnd()`
    `java.lang.String` | `getFilterValueStart()`
    `java.lang.Boolean` | `getIsField()`
    `java.lang.Boolean` | `getIsValid()`
    `java.lang.String` | `getLocaleCode()`
    `java.lang.String` | `getTimeZoneId()`
    `void` | `init(DatasetFillContext context)` Initializes the filter.
    `boolean` | `matches(EvaluationType evaluation)` Determines whether the current row matches the filter criteria.
    `void` | `setFilterPattern(java.lang.String filterPattern)`
    `void` | `setFilterTypeOperator(java.lang.String filterTypeOperator)`
    `void` | `setFilterValueEnd(java.lang.String filterValueEnd)`
    `void` | `setFilterValueStart(java.lang.String filterValueStart)`
    `void` | `setIsField(java.lang.Boolean isField)`
    `void` | `setIsValid(java.lang.Boolean isValid)`
    `void` | `setLocaleCode(java.lang.String localeCode)`
    `void` | `setTimeZoneId(java.lang.String timeZoneId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldFilter

          public FieldFilter()

    - #### FieldFilter

          public FieldFilter(java.lang.String field,
                     java.lang.String filterValueStart,
                     java.lang.String filterValueEnd,
                     java.lang.String filterType,
                     java.lang.String filterTypeOperator)

      Creates a field filter.

  - ### Method Detail

    - #### init

          public void init(DatasetFillContext context)

      Description copied from interface: `DatasetFilter`
      Initializes the filter.
      Specified by:
        `init` in interface `DatasetFilter`
      Parameters:
        `context` - dataset context information

    - #### matches

          public boolean matches(EvaluationType evaluation)

      Description copied from interface: `DatasetFilter`
      Determines whether the current row matches the filter criteria. Matching rows are included in the report, while non-matching rows are skipped.
      Specified by:
        `matches` in interface `DatasetFilter`
      Parameters:
        `evaluation` - the evaluation type. Currently only `EvaluationType.ESTIMATED` is used.
      Returns:
        `true`if the row is to be included in the report.``

    - #### getField

          public java.lang.String getField()

    - #### getFilterValueStart

          public java.lang.String getFilterValueStart()

    - #### setFilterValueStart

          public void setFilterValueStart(java.lang.String filterValueStart)

    - #### getFilterValueEnd

          public java.lang.String getFilterValueEnd()

    - #### setFilterValueEnd

          public void setFilterValueEnd(java.lang.String filterValueEnd)

    - #### getFilterType

          public java.lang.String getFilterType()

    - #### getFilterTypeOperator

          public java.lang.String getFilterTypeOperator()

    - #### setFilterTypeOperator

          public void setFilterTypeOperator(java.lang.String filterTypeOperator)

    - #### getFilterTypeEnum

          public FilterTypesEnum getFilterTypeEnum()

    - #### getIsValid

          public java.lang.Boolean getIsValid()

    - #### setIsValid

          public void setIsValid(java.lang.Boolean isValid)

    - #### getIsField

          public java.lang.Boolean getIsField()

    - #### setIsField

          public void setIsField(java.lang.Boolean isField)

    - #### getFilterPattern

          public java.lang.String getFilterPattern()

    - #### setFilterPattern

          public void setFilterPattern(java.lang.String filterPattern)

    - #### getLocaleCode

          public java.lang.String getLocaleCode()

    - #### setLocaleCode

          public void setLocaleCode(java.lang.String localeCode)

    - #### getTimeZoneId

          public java.lang.String getTimeZoneId()

    - #### setTimeZoneId

          public void setTimeZoneId(java.lang.String timeZoneId)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com